<?

include_once '../sys/inc/start.php';

include_once '../sys/inc/compress.php';

include_once '../sys/inc/sess.php';

include_once '../sys/inc/home.php';

include_once '../sys/inc/settings.php';

include_once '../sys/inc/db_connect.php';

include_once '../sys/inc/ipua.php';

include_once '../sys/inc/fnc.php';

include_once '../sys/inc/user.php';

only_level(4);

$set['title']='Администрация'; // заголовок страницы

include_once '../sys/inc/thead.php';

title();




if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['url']) && $_POST['url']!=NULL && isset($_POST['kol']) && $_POST['kol']!=NULL)

{





$url=stripcslashes(htmlspecialchars($_POST['url']));

$name=stripcslashes(htmlspecialchars($_POST['name']));

$kol=intval($_POST['kol']);



mysql_query("INSERT INTO `balsadd` (`name`, `url`, `kol`) VALUES ('$name', '$url', '$kol')");



msg('Cсылка добавлена');





}

elseif (isset($_GET['set']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `balsadd` WHERE `id` = '".intval($_GET['set'])."'"),0)

&& isset($_POST['name']) && isset($_POST['url']) && isset($_POST['kol']))

{



$url=stripcslashes(htmlspecialchars($_POST['url']));

$name=stripcslashes(htmlspecialchars($_POST['name']));

$kol=stripcslashes(htmlspecialchars($_POST['kol']));





mysql_query("UPDATE `balsadd` SET `url` = '$url', `name` = '$name', `kol` = '$kol' WHERE `id` = '".intval($_GET['set'])."'");

msg('Ссылка изменена');





}

elseif (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `balsadd` WHERE `id` = '".intval($_GET['del'])."'"),0))

{



mysql_query("DELETE FROM `balsadd` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");

msg('Ссылка удалена');

}





err();

aut();



$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `balsadd`"),0);

$k_page=k_page($k_post,$set['p_str']);

$page=page($k_page);

$start=$set['p_str']*$page-$set['p_str'];

echo "<table class='post'>\n";

if ($k_post==0)

{

echo "   <tr>\n";

echo "  <td class='p_t'>\n";

echo "Нет сылок\n";

echo "  </td>\n";

echo "   </tr>\n";

}

$q=mysql_query("SELECT * FROM `balsadd` ORDER BY `id` DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))

{

echo "   <tr>\n";

echo "  <td class='p_t'>\n";







echo"$post[name]<br />";

echo "  </td>\n";

echo "   </tr>\n";

echo "   <tr>\n";

echo "  <td class='p_m'>\n";

echo "Ссылка: $post[url]<br />\n";

echo "Переходов: $post[est]<br />\n";

echo "Переходов нужно: $post[kol]<br />\n";





echo "<a href='?del=$post[id]&amp;page=$page'>Удалить </a><br />";







if (isset($_GET['set']) && $_GET['set']==$post['id'])

{

echo "<form method='post' action='?set=$post[id]&amp;page=$page'>\n";

echo "Ссылка:<br />\n<input type=\"text\" name=\"url\" value=\"$post[url]\" /><br />\n";

echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"$post[name]\" /><br />\n";

echo "Переходов:<br />\n<input type=\"text\" name=\"kol\" value=\"$post[kol]\" /><br />\n";



echo "<input value=\"Применить\" type=\"submit\" />\n";

echo "</form>\n";

echo "<a href='?page=$page'>Отмена</a><br />\n";

}

else

echo "<a href='?set=$post[id]&amp;page=$page'>Изменить</a><br />\n";

echo "  </td>\n";

echo "   </tr>\n";

}



echo "</table>\n";

if ($k_page>1)str("rekl.php?sel=$sel&amp;",$k_page,$page); // Вывод страниц







echo "<form class='foot' method='post' action='?add'>\n";

echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"\" /><br />\n";

echo "Ссылка:<br />\n<input type=\"text\" name=\"url\" value=\"\" /><br />\n";

echo "Переходов:<br />\n<input type=\"text\" name=\"kol\" value=\"\" /><br />\n";



echo "<input value=\"Добавить\" type=\"submit\" />\n";

echo "</form>\n";





echo "<div class='foot'>\n";

echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";

echo "</div>\n";









include_once '../sys/inc/tfoot.php';

?>

